/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.17 by wakaba, Sat Feb 9 12:22:19 2008 UTC revision 1.22 by wakaba, Sun Aug 10 11:49:43 2008 UTC
# Line 152  q:before, q:after { Line 152  q:before, q:after {
152    min-height: 20px;    min-height: 20px;
153  }  }
154    
155  #identifiers dd + dd, #terms dd + dd {  #identifiers dd + dd
156    /* , #terms dd + dd */ /* Now allowed - HTML5 revision 1467 */
157    {
158    background-image: url(error);    background-image: url(error);
159    background-position: center left;    background-position: center left;
160    background-repeat: no-repeat;    background-repeat: no-repeat;
# Line 177  q:before, q:after { Line 179  q:before, q:after {
179    background-image: url(large-alert);    background-image: url(large-alert);
180  }  }
181    
182    #parse-errors dd.level-i, #document-errors dd.level-i,
183    #error-description .level-i h3,
184    #levels-table #level-i th {
185      background-image: url(large-info);
186    }
187    
188  #parse-errors dd.level-u, #document-errors dd.level-u,  #parse-errors dd.level-u, #document-errors dd.level-u,
189  #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,  #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,
190  #parse-errors dd.unsupported,  #parse-errors dd.unsupported,
# Line 194  q:before, q:after { Line 202  q:before, q:after {
202    background-image: none;    background-image: none;
203  }  }
204    
205    .error-category-charset {
206      background-image: url(icons/char-16);
207      background-position: left center;
208      background-repeat: no-repeat;
209      padding-left: 20px;
210    }
211    
212    .format-charset, .tokenizer-error, .parse-error {
213      background-image: url(icons/syntax-16);
214      background-position: left center;
215      background-repeat: no-repeat;
216      padding-left: 20px;  
217    }
218    
219    .content-model-error, .attribute-error, .attribute-value-error,
220    .attribute-value-warning, .table-model-error {
221      background-image: url(icons/structure-16);
222      background-position: left center;
223      background-repeat: no-repeat;
224      padding-left: 20px;
225    }
226    
227  #result-para.PASS {  #result-para.PASS {
228    background-image: url(ok);    background-image: url(ok);
229  }  }
# Line 228  q:before, q:after { Line 258  q:before, q:after {
258    text-decoration: none;    text-decoration: none;
259  }  }
260    
261    body[data-scripted] #nav-items {
262      display: none;
263    }
264    
265  img {  img {
266    border-style: none;    border-style: none;
267  }  }
# Line 352  pre.example.bad.manifest::before { Line 386  pre.example.bad.manifest::before {
386    color: black;    color: black;
387  }  }
388    
389  .PASS, #level-w, #level-w th {  .PASS, #level-w, #level-w th,
390    #level-i, #level-i th {
391    background-color: #ddffdd;    background-color: #ddffdd;
392    color: black;    color: black;
393  }  }
# Line 390  dl.switch dt:after { Line 425  dl.switch dt:after {
425    content: " :";    content: " :";
426  }  }
427    
428    mark {
429      background-color: #ffff4d;
430    }
431    
432    /* Tab navigation */
433    
434    h1 {
435      float: left;
436      font-size: 100%;
437      padding: 0 1em;
438    }
439    
440    nav {
441      display: block;
442    }
443    
444    nav ul {
445      margin: 0;
446      padding: 1em 0 0 0;
447    }
448    
449    nav ul li {
450      display: inline;
451      margin: 0;
452      padding: 0 0.3em 0 0;
453      line-height: 2;
454    }
455    
456    nav a {
457      display: inline;
458      padding: 0.1em 0.3em;
459      text-decoration: none;
460      color: inherit;
461      border: thin outset gray;
462      -moz-border-radius: 0.2em;
463      min-width: 4em;
464      text-align: center;
465    }
466    
467    nav [data-active] a {
468      border-style: inset;
469      background-color: #C0C0C0;
470    }
471    
472    .section {
473      clear: both;
474    }
475    
476    body[data-scripted] > .section {
477      position: absolute;
478      top: 120px; /* h1 > img's height is 90px */
479      bottom: 0;
480      left: 0;
481      right: 0;
482      overflow: auto;
483    }
484    
485  /*  /*
486    
487  Copyright 2007 Wakaba <[email protected]>.  Copyright 2007-2008 Wakaba <[email protected]>.
488    
489  This library is free software; you can redistribute it  This library is free software; you can redistribute it
490  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.17  
changed lines
  Added in v.1.22

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24